Sequence (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.relational
Class Sequence

    java.lang.Object
      org.hibernate.metamodel.relational.Sequence

All Implemented Interfaces:
  Exportable

    public class Sequence

extends Object
implements Exportable

Models a database `SEQUENCE`.

Constructor Summary
`Sequence(Schema schema, String name)`
`Sequence(Schema schema, String name, int initialValue, int incrementSize)`

Method Summary
`String` | `getExportIdentifier()` Get a unique identifier to make sure we are not exporting the same database structure multiple times.
`int` | `getIncrementSize()`
`int` | `getInitialValue()`
`String` | `getName()`
`Schema` | `getSchema()`
`String[]` | `sqlCreateStrings(Dialect dialect)` Gets the SQL strings for creating the database object.
`String[]` | `sqlDropStrings(Dialect dialect)` Gets the SQL strings for dropping the database object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sequence

    public Sequence(Schema schema,
                    String name)

### Sequence

    public Sequence(Schema schema,
                    String name,
                    int initialValue,
                    int incrementSize)

Method Detail

### getSchema

    public Schema getSchema()

### getName

    public String getName()

### getExportIdentifier

    public String getExportIdentifier()

  Description copied from interface: `Exportable`
  Get a unique identifier to make sure we are not exporting the same database structure multiple times.

  Specified by:
    `getExportIdentifier` in interface `Exportable`
  Returns:
    The exporting identifier.

### getInitialValue

    public int getInitialValue()

### getIncrementSize

    public int getIncrementSize()

### sqlCreateStrings

    public String[] sqlCreateStrings(Dialect dialect)
                              throws MappingException

  Description copied from interface: `Exportable`
  Gets the SQL strings for creating the database object.

  Specified by:
    `sqlCreateStrings` in interface `Exportable`
  Parameters:
    `dialect` - The dialect for which to generate the SQL creation strings
  Returns:
    the SQL strings for creating the database object.
  Throws:
    `MappingException`

### sqlDropStrings

    public String[] sqlDropStrings(Dialect dialect)
                            throws MappingException

  Description copied from interface: `Exportable`
  Gets the SQL strings for dropping the database object.

  Specified by:
    `sqlDropStrings` in interface `Exportable`
  Parameters:
    `dialect` - The dialect for which to generate the SQL drop strings
  Returns:
    the SQL strings for dropping the database object.
  Throws:
    `MappingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.